Moose::Meta::Method::Delegation(3)

NAME
Moose::Meta::Method::Delegation - A Moose Method metaclass for delegation methods

VERSION
version 2.0602

DESCRIPTION
This is a subclass of Moose::Meta::Method for delegation methods.

METHODS

Moose::Meta::Method::Delegation->new(%options)
    This creates the delegation methods based on the provided %options.

    attribute
        This must be an instance of "Moose::Meta::Attribute" which this accessor is being generated for. This options is required.

    delegate_to_method
        The method in the associated attribute's value to which we delegate. This can be either a method name or a code reference.

    curried_arguments
        An array reference of arguments that will be prepended to the argument list for any call to the delegating method.

$metamethod->associated_attribute
    Returns the attribute associated with this method.

$metamethod->curried_arguments
    Return any curried arguments that will be passed to the delegated method.

$metamethod->delegate_to_method
    Returns the method to which this method delegates, as passed to the constructor.

BUGS
See "BUGS" in Moose for details on reporting bugs.

AUTHOR
Moose is maintained by the Moose Cabal, along with the help of many contributors. See "CABAL" in Moose and "CONTRIBUTORS" in Moose for details.

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Infinity Interactive, Inc..

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.